# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

col2im:
  parameter_names_with_default_values:
    DTYPE: float
    OUTPUT_STORAGE: texture3d
    INPUT_STORAGE: buffer
  generate_variant_forall:
    DTYPE:
      - VALUE: half
      - VALUE: float
  shader_variants:
    - NAME: col2im_texture3d_buffer
    - NAME: col2im_texture3d_texture3d
      INPUT_STORAGE: texture3d
